package com.quant.entity;

import java.util.Date;

/**
 * Manager entity. @author MyEclipse Persistence Tools
 */

public class Manager implements java.io.Serializable {

	// Fields

	private Integer id;
	private String realName;
	private Integer companyId;
	private String managerIntroduction;
	private Date endDate;
	private Date termDate;
	private String education;
	private String entirePeriod;
	private Integer practitioners;
	private Integer managerId;

	// Constructors

	/** default constructor */
	public Manager() {
	}

	/** full constructor */
	public Manager(String realName, Integer companyId,
			String managerIntroduction, Date endDate, Date termDate,
			String education, String entirePeriod, Integer practitioners,
			Integer managerId) {
		this.realName = realName;
		this.companyId = companyId;
		this.managerIntroduction = managerIntroduction;
		this.endDate = endDate;
		this.termDate = termDate;
		this.education = education;
		this.entirePeriod = entirePeriod;
		this.practitioners = practitioners;
		this.managerId = managerId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getRealName() {
		return this.realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getManagerIntroduction() {
		return this.managerIntroduction;
	}

	public void setManagerIntroduction(String managerIntroduction) {
		this.managerIntroduction = managerIntroduction;
	}

	public Date getEndDate() {
		return this.endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Date getTermDate() {
		return this.termDate;
	}

	public void setTermDate(Date termDate) {
		this.termDate = termDate;
	}

	public String getEducation() {
		return this.education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getEntirePeriod() {
		return this.entirePeriod;
	}

	public void setEntirePeriod(String entirePeriod) {
		this.entirePeriod = entirePeriod;
	}

	public Integer getPractitioners() {
		return this.practitioners;
	}

	public void setPractitioners(Integer practitioners) {
		this.practitioners = practitioners;
	}

	public Integer getManagerId() {
		return this.managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

}